org.appng.appngizer.controller

## Class SiteApplicationPropertyController

- java.lang.Object
- - org.appng.appngizer.controller.ControllerBase
  - - org.appng.appngizer.controller.SiteApplicationPropertyController

-     @RestController
      public class SiteApplicationPropertyController
      extends ControllerBase

- - ### Field Summary

    - ### Fields inherited from class org.appng.appngizer.controller.ControllerBase

      `configurer, context, coreService, databaseService, session, templateService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SiteApplicationPropertyController()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.http.ResponseEntity<Property>` | `createProperty(String site, String app, Property property)`
    `org.springframework.http.ResponseEntity<Property>` | `deleteProperty(String site, String app, String property)`
    `org.springframework.http.ResponseEntity<Property>` | `getProperty(String site, String app, String prop)`
    `org.springframework.http.ResponseEntity<Properties>` | `listProperties(String site, String app)`
    `org.springframework.http.ResponseEntity<Property>` | `updateProperty(String site, String app, Property property)`

    - ### Methods inherited from class org.appng.appngizer.controller.ControllerBase

      `getDatabaseStatus, getSharedSecret, onBusinessException, onConflictException, onConstraintViolationException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SiteApplicationPropertyController

          public SiteApplicationPropertyController()

  - ### Method Detail

    - #### listProperties

          @GetMapping(value="/site/{site}/application/{app}/property")
          public org.springframework.http.ResponseEntity<Properties> listProperties(@PathVariable(value="site")
                                                                                                                                                 String site,
                                                                                                                                                 @PathVariable(value="app")
                                                                                                                                                 String app)

    - #### getProperty

          @GetMapping(value="/site/{site}/application/{app}/property/{prop}")
          public org.springframework.http.ResponseEntity<Property> getProperty(@PathVariable(value="site")
                                                                                                                                                   String site,
                                                                                                                                                   @PathVariable(value="app")
                                                                                                                                                   String app,
                                                                                                                                                   @PathVariable(value="prop")
                                                                                                                                                   String prop)

    - #### createProperty

          @PostMapping(value="/site/{site}/application/{app}/property")
          public org.springframework.http.ResponseEntity<Property> createProperty(@PathVariable(value="site")
                                                                                                                                                String site,
                                                                                                                                                @PathVariable(value="app")
                                                                                                                                                String app,
                                                                                                                                                @RequestBody
                                                                                                                                                Property property)

    - #### updateProperty

          @PutMapping(value="/site/{site}/application/{app}/property/{prop}")
          public org.springframework.http.ResponseEntity<Property> updateProperty(@PathVariable(value="site")
                                                                                                                                                      String site,
                                                                                                                                                      @PathVariable(value="app")
                                                                                                                                                      String app,
                                                                                                                                                      @RequestBody
                                                                                                                                                      Property property)

    - #### deleteProperty

          @DeleteMapping(value="/site/{site}/application/{app}/property/{prop}")
          public org.springframework.http.ResponseEntity<Property> deleteProperty(@PathVariable(value="site")
                                                                                                                                                         String site,
                                                                                                                                                         @PathVariable(value="app")
                                                                                                                                                         String app,
                                                                                                                                                         @PathVariable(value="prop")
                                                                                                                                                         String property)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.